<?php
header('Access-Control-Allow-Origin: *');
require_once __DIR__ . '/../util/Funciones.clase.php';
require_once __DIR__ . '/../negocio/Proveedor.empresa.clase.php';
date_default_timezone_set("America/Lima");

if (
    !isset($_POST["codigoProveedorEmpresa"])
    ) {
    return Funciones::imprimeJSON(200, "error", "Faltan parámetros");
}

try{
    $codigoProveedorEmpresa = $_POST["codigoProveedorEmpresa"];
    $obj = new ProveedorEmpresa();
    $resultado = $obj->buscarViajes($codigoProveedorEmpresa);
    Funciones::imprimeJSON(200, "lista viajes", $resultado);
}catch(Exception $e){
    return Funciones::imprimeJSON(200, "error", $e->getMessage());
}
