<?php
header('Access-Control-Allow-Origin: *');
require_once __DIR__ . '/../util/Funciones.clase.php';
require_once __DIR__ . '/../negocio/Empleado.clase.php';
date_default_timezone_set("America/Lima");

if (
    !isset($_POST["p_dni"])
    ) {
    return Funciones::imprimeJSON(200, "error", "Faltan parámetros");
}

try{
    $dni = $_POST["p_dni"];
    $obj = new Empleado();
    $resultado = $obj->buscarEmpleadoDni($dni);
    Funciones::imprimeJSON(200, "datos empleado", $resultado);
}catch(Exception $e){
    return Funciones::imprimeJSON(200, "error", $e->getMessage());
}
