<?php
header('Access-Control-Allow-Origin: *');
require_once __DIR__ . '/../util/Funciones.clase.php';
require_once __DIR__ . '/../negocio/Proveedor.empresa.clase.php';
date_default_timezone_set("America/Lima");

if (
    !isset($_POST["codigoConductor"])
    ) {
    return Funciones::imprimeJSON(200, "error", "Faltan parámetros");
}

try{
    $codigoConductor = $_POST["codigoConductor"];
    $obj = new ProveedorEmpresa();
    $resultado = $obj->listarPersonal($codigoConductor);
    Funciones::imprimeJSON(200, "personal conductor", $resultado);
}catch(Exception $e){
    return Funciones::imprimeJSON(200, "error", $e->getMessage());
}
