<?php
header('Access-Control-Allow-Origin: *');
require_once __DIR__ . '/../negocio/InfraccionConductor.clase.php';
require_once __DIR__ . '/../util/Funciones.clase.php';

if (
    !isset($_POST["p_tipo_caseta"])
    || !isset($_POST["p_caseta"])
    ) {
    Funciones::imprimeJSON(200, "error", "Faltan parametros");
    exit();
}

try{
    $tipo_caseta = $_POST["p_tipo_caseta"];
    $p_caseta = $_POST["p_caseta"];
    $obj = new Infraccion();
    $resultado = $obj->listarInfraccion($tipo_caseta, $p_caseta);
    Funciones::imprimeJSON(200, "success", $resultado);
}catch(Exception $e){
    Funciones::imprimeJSON(200, "error", $e->getMessage());
}
