<?php
header('Access-Control-Allow-Origin: *');
require_once __DIR__ . '/../negocio/Garita.clase.php';
require_once __DIR__ . '/../util/Funciones.clase.php';
date_default_timezone_set("America/Lima");

if (
    !isset($_POST["p_dni"])
    || !isset($_POST["p_nombre"])
    || !isset($_POST["p_placa_ingreso"])
    || !isset($_POST["p_placa_alterna"])
    || !isset($_POST["p_contenedor"])
    || !isset($_POST["p_caseta"])
    || !isset($_POST["p_cod_usuario"])
    || !isset($_POST["p_cat_tip_vehi"])
    ) {
    Funciones::imprimeJSON(500, "Faltan parametros", "");
    exit();
}


try {
    $obj = new Garita();
    $hora = date("H:i:s");
    $fecha = date('Y-m-d');
    $tipo = 'S';
    $dni = trim($_POST["p_dni"]);
    $nombre_conductor = $_POST["p_nombre"];
    if($nombre_conductor == "CONDUCTOR NO ENCONTRADO" || $nombre_conductor == null || $nombre_conductor == "" || empty($nombre_conductor)){
        $nombre_conductor = "CONDUCTOR NO ENCONTRADO";
    }
 
 
    $placa = $_POST["p_placa_ingreso"];
    $placa_alterna = $_POST["p_placa_alterna"];
    $contenedor = $_POST["p_contenedor"];
    $caseta = $_POST["p_caseta"];
    $cod_usu = $_POST["p_cod_usuario"];
    $cod_tipo_vehi = $_POST["p_cat_tip_vehi"];

    $codigo_proveedor = "0";
    if(isset($_POST["p_codigo_proveedor"])){
        $codigo_proveedor = $_POST["p_codigo_proveedor"];
    }

    $codigo_ruta_transporte = "0";
    if(isset($_POST["p_codigo_ruta_transporte"])){
        $codigo_ruta_transporte = $_POST["p_codigo_ruta_transporte"];
    }
    
    $exceso = "0";
    if(isset($_POST["p_exceso"])){
        $exceso = $_POST["p_exceso"];
    }
    
    $version = $_POST["p_version"];
    $dirige = $_POST["p_dirige"];
    
        $procedencia = $_POST["p_procedencia"];
    $fecha_recibida = $_POST["p_fecha"];
    if ($fecha_recibida == "" || $fecha_recibida == null || empty($fecha_recibida) ){
        $fecha_recibida = $fecha;
    }
    
    $hora_recibida =  $_POST["p_hora"];
    if ($hora_recibida == "" || $hora_recibida == null ||  empty($hora_recibida) ){
        $hora_recibida = $hora;
    }
    
    $id_qr =  $_POST["p_id_qr"];
    if ($id_qr == "" || $id_qr == null ||  empty($id_qr) ){
        $id_qr = 0;
    }
    
    
    
    if($procedencia == "OFFLINE"){
            $resultado = $obj->agregarSalidaMovil($dni, $placa_alterna, $placa, $nombre_conductor, $hora_recibida, $fecha_recibida, $caseta, $cod_usu, $tipo, $contenedor, $codigo_proveedor, $codigo_ruta_transporte , $cod_tipo_vehi, $exceso, $version, $dirige, $fecha, $hora, $procedencia, $id_qr);

    }else{
            $resultado = $obj->agregarSalidaMovil($dni, $placa_alterna, $placa, $nombre_conductor, $hora, $fecha, $caseta, $cod_usu, $tipo, $contenedor, $codigo_proveedor, $codigo_ruta_transporte , $cod_tipo_vehi, $exceso, $version, $dirige, $fecha, $hora, $procedencia, $id_qr);

        }

    
    
    Funciones::imprimeJSON(200, "Se registró salida", "");
} catch (Exception $ex) {
    Funciones::imprimeJSON(500, $ex->getMessage(), "");
}
