<?php
header('Access-Control-Allow-Origin: *');
require_once __DIR__ . '/../util/Funciones.clase.php';
require_once __DIR__ . '/../negocio/Proveedor.empresa.clase.php';
date_default_timezone_set("America/Lima");


if (
    !isset($_POST["p_codigo_conductor"]) ||
    !isset($_POST["p_telefono"]) ||
    !isset($_POST["p_correo"])
    ) {
    return Funciones::imprimeJSON(200, "error", "Faltan parámetros");
}

try{
    $codigoConductor = $_POST["p_codigo_conductor"];
    $telefono = $_POST["p_telefono"];
    $correo = $_POST["p_correo"];
    $obj = new ProveedorEmpresa();
    $resultado = $obj->nuevaCuenta($codigoConductor, $telefono, $correo);
    Funciones::imprimeJSON(200, "cuenta conductor", $resultado);
}catch(Exception $e){
    return Funciones::imprimeJSON(200, "error", $e->getMessage());
}
