<?php
header('Access-Control-Allow-Origin: *');
require_once __DIR__ . '/../util/Funciones.clase.php';
require_once __DIR__ . '/../negocio/Tracking.clase.php';
date_default_timezone_set("America/Lima");

if (
    !isset($_POST["trackingDetalle"])
    ) {
    return Funciones::imprimeJSON(200, "error", "Faltan parámetros");
}

try{
    $trackingDetalle = json_decode($_POST["trackingDetalle"], true);
    $obj = new Tracking();
    $resultado = $obj->sincronizarTracking($trackingDetalle);
    Funciones::imprimeJSON(200, "success", $resultado);
}catch(Exception $e){
    return Funciones::imprimeJSON(200, "error", $e->getMessage());
}
