<?php
header('Access-Control-Allow-Origin: *');
require_once __DIR__ . '/../util/Funciones.clase.php';
require_once __DIR__ . '/../negocio/Proveedor.empresa.clase.php';
date_default_timezone_set("America/Lima");
if (
    !isset($_POST["p_codigo_conductor"]) ||
    !isset($_POST["p_codigo_verificacion"])
    ) {
        return Funciones::imprimeJSON(200, "error", "Faltan parámetros");
}
try{
    $codigoConductor = $_POST["p_codigo_conductor"];
    $codigoVerificacion = $_POST["p_codigo_verificacion"];
    $obj = new ProveedorEmpresa();
    $resultado = $obj->verificarCuenta($codigoConductor, $codigoVerificacion);
    Funciones::imprimeJSON(200, "success", $resultado);
}catch(Exception $e){
    return Funciones::imprimeJSON(200, "error", $e->getMessage());
}
