<?php
header('Access-Control-Allow-Origin: *');
require_once __DIR__ . '/../negocio/InfraccionConductor.clase.php';
require_once __DIR__ . '/../util/Funciones.clase.php';

if (
    !isset($_POST["p_dni"])
    || !isset($_POST["p_descripcion"])
    || !isset($_POST["p_codigo_usuario"])
    || !isset($_POST["p_codigo_caseta"])
    ) {
    Funciones::imprimeJSON(200, "error", "Faltan parametros");
    exit();
}

try{
    $dni = $_POST["p_dni"];
    $p_descripcion = $_POST["p_descripcion"];
    $p_codigo_usuario = $_POST["p_codigo_usuario"];
    $p_caseta = $_POST["p_codigo_caseta"];
    $obj = new Infraccion();
    $foto = 0;
    if(isset($_FILES)){
        $foto = $_FILES;
    }
    $resultado = $obj->reportarInfraccion($dni, $p_codigo_usuario, $p_caseta, 'G', $p_descripcion, $foto);
    Funciones::imprimeJSON(200, "success", $resultado);
}catch(Exception $e){
    Funciones::imprimeJSON(200, "error", $e->getMessage());
}
