<?php
header('Access-Control-Allow-Origin: *');
require_once __DIR__ . '/../negocio/Fundo.clase.php';
require_once __DIR__ . '/../util/Funciones.clase.php';
if(!isset($_POST["codigo_empresa"])){
    Funciones::imprimeJSON(200, "error", "Faltan parámetros");
    exit;
}

// Funciones::imprimeJSON(200,"error", $_POST);
// exit;
try {
    $codigo_empresa = $_POST["codigo_empresa"];
    $fecha_seleccionada = $_POST["fecha_seleccionada"];
    $detalleFundos = json_decode($_POST["detalleFundos"], true);
    $detalleManoObra = json_decode($_POST["detalleManoObra"], true);
    $detalleVisitas = json_decode($_POST["detalleVisitas"], true);

    $obj = new Fundo();
    $resultado = $obj->listarFundosFechaSinc($codigo_empresa, $fecha_seleccionada, $detalleFundos, $detalleManoObra, $detalleVisitas);
    Funciones::imprimeJSON(200, "Listado de Fundos", $resultado);
} catch (Exception $e) {
    Funciones::imprimeJSON(200, "error", $e->getMessage());
}
